DBusPendingCall Struct Reference
DBusPendingCall implementation details

Implementation details of DBusPendingCall - all fields are private. More...

## Data Fields

DBusAtomic | refcount
| reference count
DBusDataSlotList | slot_list
| Data stored by allocated integer ID.
DBusPendingCallNotifyFunction | function
| Notifier when reply arrives. More...
DBusConnection * | connection
| Connections we're associated with.
DBusMessage * | reply
| Reply (after we've received it)
DBusTimeout * | timeout
| Timeout.
DBusList * | timeout_link
| Preallocated timeout response.
dbus_uint32_t | reply_serial
| Expected serial of reply.
unsigned int | completed: 1
| TRUE if completed.
unsigned int | timeout_added: 1
| Have added the timeout.

## Detailed Description

Implementation details of DBusPendingCall - all fields are private.

Definition at line 62 of file dbus-pending-call.c.

## Field Documentation

DBusPendingCallNotifyFunction DBusPendingCall::function

Notifier when reply arrives.

Definition at line 68 of file dbus-pending-call.c.

Referenced by _dbus_pending_call_complete(), and dbus_pending_call_set_notify().

The documentation for this struct was generated from the following file:

- dbus-pending-call.c